Summary: SKK like Japanese-input application
Name: skkinput
Version: 2.03
Release: 1
Copyright: GPL
Group: X11/Utilities
Source0: http://member.nifty.ne.jp/Tatari_SAKAMOTO/%{name}-%{version}.tar.gz
Source1: bash.dot.inputrc
Patch0: skkinput-fontset.patch
URL: http://member.nifty.ne.jp/Tatari_SAKAMOTO/
BuildRoot: /var/tmp/%{name}-%{version}-root

%description
skkinput is a kana to kanji converter with kinput protocol/kinput2 protcol/
Ximp Protocol/X Input Method(X11R6 standard) under X Window System.

%prep
%setup -q
%patch -p1 -b .fontset
cp ${RPM_SOURCE_DIR}/bash.dot.inputrc .

rm -fr ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}/usr/X11R6
mkdir -p ${RPM_BUILD_ROOT}/usr/X11R6/bin
mkdir -p ${RPM_BUILD_ROOT}/usr/X11R6/man/ja/man1

%build
xmkmf -a
make CDEBUGFLAGS="${RPM_OPT_FLAGS}"

%install
rm -fr ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install
make DESTDIR=${RPM_BUILD_ROOT} MANSOURCEPATH=/usr/X11R6/man/ja/man install.man

%clean
rm -fr ${RPM_BUILD_ROOT}

%files
%defattr(-, root, root)
%doc BUGS.jis CHANGES.jis FAQ.jis GPL PROGRAM.jis README.jis TODO.jis
%doc dot.skkinput skkinput.doc
%doc bash.dot.inputrc
/usr/X11R6/bin/*
/usr/X11R6/man/ja/man1/*
/usr/X11R6/lib/X11/app-defaults/*

%changelog
* Mon Aug  4 2000 Satoru Sato <ssato@redhat.com>
- Initial release
